Bug 135718 - Request for multiple users to have access to devices
Request for multiple users to have access to devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
: FutureFeature
Depends On: 134327
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 12:55 EDT by Paul F. Johnson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 08:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2004-10-14 12:55:48 EDT
Description of problem:

Under the current (and probable release version of FC3), it is not
possible for users to have access to audio (and other) devices when
one user is logged into a console and another user is logged into an X
session.

For example, user "a" logs into X and into a console. This user gains
the permissions to audio. The user logs out of X, but is still logged
into the console. User "b" logs into X, but has the audio permissions
blocked as user "a" still has the rights to the device and is logged
into a console.

It's a pain in the backside that this isn't already available,
especially when (for example) user "a" is logged in to a console
session for an update and another console session for downloading a
torrent.
Comment 1 Tomas Mraz 2004-10-15 02:52:54 EDT
So you mean that the console logins should have lower priority than X
logins? So if someone logs out of X but is logged on console he/she
doesn't lose the ownership of the devices but if then someone else
logs in X he gets the ownership.

Easier change without necessary code changes would be to assign
ownership only on X logins, but then the user 1 would lose the
ownership immediately after logging out of X. This is easily
achievable by changing console.perms by making the console class equal
to xconsole class - this of course cannot be made default as many
users depend on the current behaviour.
Comment 2 Paul F. Johnson 2004-10-15 11:57:56 EDT
What would I need to do to make the console equal to the xconsole
class? I can try it and if it works, this request can be closed
Comment 3 Tomas Mraz 2004-10-18 05:40:19 EDT
Replace:
<console>=tty[0-9][0-9]* vc/[0-9][0-9]* :[0-9]\.[0-9] :[0-9]
with:
<console>=:[0-9]\.[0-9] :[0-9]

Then the console logins (non X) won't affect the permissions and
ownership of device nodes.
Comment 4 Tomas Mraz 2005-02-09 08:44:20 EST
This is probably impossible to do right. You can make various
manipulations with console.perms file on workstations with concurrent
multiuser access but it wouldn't be right to unnecesarily complicate
the setup for normal desktops.

Note You need to log in before you can comment on or make changes to this bug.